#!/bin/bash
src="../zzLib/Libs"
start=".."
findterm="Libs/zzAddOn"
for entry in "$start"/*
do
    if [ -e "$entry/$findterm" ]
    then
        echo "$entry"
        cp -ra $src $entry
        cd $entry
        git commit "Libs/*" -m "Update Libs" && git push
    fi
done